"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const native = require("./native.js");
const rng = require("./rng.js");
const stringify = require("./stringify.js");
function v4(options, buf, offset) {
  if (native.default.randomUUID && true && !options) {
    return native.default.randomUUID();
  }
  options = options || {};
  const rnds = options.random || (options.rng || rng.default)();
  rnds[6] = rnds[6] & 15 | 64;
  rnds[8] = rnds[8] & 63 | 128;
  return stringify.unsafeStringify(rnds);
}
exports.default = v4;
